Subject: Ticket Assigned - Damaged and Used products found in sealed packing box !
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 19 Dec 2021 19:06:03 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Damaged and Used products found in sealed packing box ! Dear Sir Madam,

I am contacting you to inform that I purchased some products from CenterPoint Jeddah Park store on Thursday 16th December 2021. Please find below the list of products that were purchased:

  1.  Item # 162933445 - Straw Umbrella Design
  2.  Item # 161780248 - Lifestyle Eye Mask Unicorn
  3.  Item # 161942504 - Lifestyle Eye Patch
  4.  Item # 161780248 - Lifestyle Eye Mask Unicorn

All these items were packed in the boxes, Items 2, 3 and 4 were completely packed and sealed in the box, when I opened the boxes at home, I found that Item # 3 was broken / damaged ! and Item # 4 was "already used" it had a very bad smell of some kind of hair oil in it.

Therefore, I went back to the same store, Jeddah Park, on Saturday 19th December 2021 and informed them about this and wanted to exchange the products and if the product is out of stock and exchange is not possible, then return it.

The staff informed me that these products cannot be exchanged or refunded. I wanted to see the manager but they were not available, therefore, the staff asked me to write an application and they will give it to the manager, so I wrote an application for the manager and gave it to them.

I am writing to inform you that I am very disappointed about this bad experience, there was no way I could check the products before purchase because they were packed in boxes and also I had complete trust on CenterPoint about the quality of products.

Please take notice of this complaint so that other customers do not face the same disappointment like myself. I was really surprised to see a used and a damaged product in sealed box !!! Please try to improve your quality control standards.

Best Regards,

Muhammad Kashif

0543036575

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3633689